AM261x MCU+ SDK: APIs for UART DMA mode

| AM261x MCU+ SDK 26.00.00 |

Functions
APIs for UART DMA mode
APIs for SOC Specific Device Drivers » APIs for UART

## Introduction

This module contains APIs to program and use DMA drivers available in the SoC with UART.

## Functions
int32_t | UART_lld_dmaInit (UARTLLD_Handle hUart, UART_DmaChConfig dmaChCfg)
| API to open an UART DMA channel. More...
int32_t | UART_lld_dmaDeInit (UARTLLD_Handle hUart)
| API to close an UART DMA channel. More...
int32_t | UART_lld_dmaWrite (UARTLLD_Handle hUart, const UART_Transaction *transaction)
| API to write data using an UART DMA channel. More...
int32_t | UART_lld_dmaRead (UARTLLD_Handle hUart, const UART_Transaction *transaction)
| API to read data using an UART DMA channel. More...
int32_t | UART_lld_dmaDisableChannel (UARTLLD_Handle hUart, uint32_t isChannelTx)
| API to disable DMA channel. More...

## Function Documentation

## ◆ UART_lld_dmaInit()

int32_t UART_lld_dmaInit | ( | UARTLLD_Handle | hUart,
|  | UART_DmaChConfig | dmaChCfg
| ) |  |

API to open an UART DMA channel.

This API will open a DMA Channel using the appropriate DMA driver callbacks and the registered via Sysconfig

Parameters

  hUart | [in] UART Handle
  dmaChCfg | [in] UART DMA Handle

Returns
  SystemP_SUCCESS on success, else failure

## ◆ UART_lld_dmaDeInit()

int32_t UART_lld_dmaDeInit | ( | UARTLLD_Handle | hUart | ) |

API to close an UART DMA channel.

Parameters

  hUart | [in] UART handle returned from UART_open

Returns
  SystemP_SUCCESS on success, else failure

## ◆ UART_lld_dmaWrite()

int32_t UART_lld_dmaWrite | ( | UARTLLD_Handle | hUart,
|  | const UART_Transaction * | transaction
| ) |  |

API to write data using an UART DMA channel.

Parameters

  hUart | [in] Pointer to UART object
  transaction | [in] Pointer to UART_Transaction. This parameter can't be NULL

Returns
  SystemP_SUCCESS on success, else failure

## ◆ UART_lld_dmaRead()

int32_t UART_lld_dmaRead | ( | UARTLLD_Handle | hUart,
|  | const UART_Transaction * | transaction
| ) |  |

API to read data using an UART DMA channel.

Parameters

  hUart | [in] Pointer to UART object
  transaction | [in] Pointer to UART_Transaction. This parameter can't be NULL

Returns
  SystemP_SUCCESS on success, else failure

## ◆ UART_lld_dmaDisableChannel()

int32_t UART_lld_dmaDisableChannel | ( | UARTLLD_Handle | hUart,
|  | uint32_t | isChannelTx
| ) |  |

API to disable DMA channel.

Parameters

  hUart | [in] UART Handle
  isChannelTx | [in] Variable to hold the Tx channel

Returns
  SystemP_SUCCESS on success, else failure